--[[----------------------------------------------------------
	Custom RMM Textures
  ]]----------------------------------------------------------

--unique name for your addon
local yourAddonName = "MyRmmTextures"

--[[rotating texture, normal 512x512px
Example:

local wheel = {
	["myAwsomeWheel"] = "youraddonFolder/textures/myAwsomeWheel.dds",
	["myBestWheel"] = "youraddonFolder/textures/myBestWheel.dds",
}

]]

local wheel = {

}

--[[static overlay, normal 512x512px
Example:

local overlay = {
	["myAwsomeOverlay"] = "youraddonFolder/textures/myAwsomeOverlay.dds",
	["myBestOverlay"] = "youraddonFolder/textures/myBestOverlay.dds",
}

]]

local overlay = {

}












--[[----------------------------------------------------------
	Don't Edit
  ]]----------------------------------------------------------

--Addon Initialize
function MyTexOnInitialize( eventCode, addOnName )

if addOnName ~= yourAddonName then return end
	
	if RMM then
		if RMM.version >= 0.33 then
			RMM.textures[yourAddonName] = {["wheel"] = wheel, ["overlay"] = overlay}
		end
	end
	
end

--Register events
EVENT_MANAGER:RegisterForEvent( yourAddonName.."_Init", EVENT_ADD_ON_LOADED, MyTexOnInitialize )

--[[----------------------------------------------------------
	Don't Edit
  ]]----------------------------------------------------------